For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/contact-properties/patch-api-contacts-v1properties-by-contact_property_id.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Update Contact Property

PATCH
/api/contacts/v1/properties/:contact_property_id
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { property, propertyError } = await reloop.contacts.properties.update(
6 "prop_123456789",
7 { fallbackValue: "N/A" },
8);
9
10if (propertyError) throw propertyError;
11
12console.log(property.id, property.defaultValue);
1{
2 "object": "contact_property",
3 "id": "con_123456789",
4 "propertyName": "company",
5 "propertyType": "example_propertyType",
6 "defaultValue": null,
7 "createdAt": "2026-03-23T10:00:00.000Z",
8 "updatedAt": "2026-03-23T10:00:00.000Z",
9 "event": "evt_123456789"
10}

Path Parameters

contact_property_idstringRequired

Property ID to update

Body Parameters

fallbackValuestring | nullRequired

Was this page helpful?